varying vec2 position;
uniform float maxIter;
uniform vec2 c;
void main ()
{
	vec2 z = position;
	gl_FragData[0] = vec4(1.0,1.0,1.0,1.0);
	
	vec2 tempZ=z*z;
	float i=0.0;
	while (i<=maxIter && (tempZ.x+tempZ.y)<=4.0)
	{

		z = vec2(tempZ.x - tempZ.y, 2.0*z.x*z.y) + c;
		tempZ=z*z;
		i+=1.0;	
		
	}
	gl_FragData[1]=vec4(z.x,z.y,i,0.0);
	if (i <= maxIter)
		{
			float color=i/maxIter;
			gl_FragData[0]=vec4(color,color,1.0,1.0);		
		}
		
}